﻿using Syncfusion.Windows.Diagram;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace _121072
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        Dictionary<string,int> labelvalue=new Dictionary<string, int>(); 
        public MainWindow()
        {
            InitializeComponent();

            view.NodeDrop += view_NodeDrop;
            view.ConnectorDrop += view_ConnectorDrop;
        }

        void view_ConnectorDrop(object sender, ConnectorDroppedRoutedEventArgs evtArgs)
        {
            string name = (control.SymbolPalette.SelectedItem as SymbolPaletteItem).ItemName;
            LineConnector n = evtArgs.DroppedConnector as LineConnector;
            if (!labelvalue.ContainsKey(name))
            {
                labelvalue.Add(name, 0);
            }
            if (labelvalue.ContainsKey(name))
            {
                int value = labelvalue[name];
                labelvalue.Remove(name);
                n.Label = "Connector" + (value + 1).ToString();
                labelvalue.Add(name, value + 1);
            }
        }

        void view_NodeDrop(object sender, NodeDroppedRoutedEventArgs evtArgs)
        {
            string name=(control.SymbolPalette.SelectedItem as SymbolPaletteItem).ItemName;
            Node n = evtArgs.DroppedNode as Node;
            if (!labelvalue.ContainsKey(name))
            {
                labelvalue.Add(name, 0);
            }
            if (labelvalue.ContainsKey(name))
            {
                int value = labelvalue[name];
                labelvalue.Remove(name);
                n.Label = "Node" + (value + 1).ToString();
                labelvalue.Add(name,value+1);
            }
        }
    }
}
